# This is the location for the files of the "repolib" sub package:
%global repolib %{_javadir}/repository.jboss.com/maven2-brew/org/ebaysf/web/cors-filter/%{version}

Name: ebay-cors-filter
Version: 1.0.1
Release: 2%{?dist}
Summary: eBay CORS filter
Group: Development/Libraries
License: ASL 2.0
URL: https://github.com/eBay/cors-filter
Source0: https://github.com/eBay/cors-filter/archive/cors-filter-%{version}.tar.gz
Patch1: ebay-cors-filter-1.0.1-servlet-3.0.patch
BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

%description
CORS (Cross Origin Resource Sharing) is a mechanism supported by W3C to
enable cross origin requests in web-browsers. CORS requires support from
both browser and server to work. This is a Java servlet filter
implementation of server-side CORS for web containers such as Apache
Tomcat.

%package javadoc
Summary: Javadoc for %{name}
Group: Documentation

%description javadoc
This package contains API documentation for %{name}.

%package repolib
Summary: %{name} Maven repository

%description repolib
%{name} maven repository

%prep
%setup -q -n cors-filter-cors-filter-%{version}
%patch1 -p1

%build
sed -i 's/\r//' LICENSE NOTICE README.md
%mvn_build

%install

# Install the files for the main package:
%mvn_install

# Install the files for the repolib package:
mkdir -p %{buildroot}%{repolib}
cp target/cors-filter-%{version}.jar %{buildroot}%{repolib}/cors-filter-%{version}.jar
cp pom.xml %{buildroot}%{repolib}/cors-filter-%{version}.pom

%files -f .mfiles
%license LICENSE NOTICE
%doc README.md cors-flowchart.png
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%files repolib
%license LICENSE NOTICE
%{_javadir}/repository.jboss.com

%changelog
* Thu Apr  9 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.1-2
- Aligned with Fedora and CentOS spec file.

* Sun Jan 25 2015 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.1-1
- Initial packaging.
